var tabla;

//funcion que se ejecuta al inicio
function init(){
	mostrarform(false);
	listar();

	$("#btnGuardar").on("click",function(e){
		/* Evitamos el envío real del formulario */
		e.preventDefault(); 
		
		validar();
		var val = $("#validado").val();
		console.log(val);
		if (val==1){  
			bootbox.confirm("¿Esta seguro que quiere guardar los dato?", function(result){
				if (result) {
					modificarValoresAnumerico();
					guardaryeditar(e);	
				}
			})
		}
	});

	$.post("controladores/zonaControlador.php?op=selectZona", function(r){
		$("#idzona").html(r);
		$('#idzona').selectpicker('refresh');
	});

	$("#idcargo").change(function(){

		var cargo1 		= document.getElementById("idcargo") //El <select>
		var nombre1 	= cargo1.options[cargo1.selectedIndex].innerText;
		$("#tipo_persona").val(nombre1);
		console.log('cargo '+ nombre1);
	});

}

//funcion limpiar
function limpiar(){
	$('#formulario').data('bootstrapValidator').resetForm(true);
	$("#nombre").val("");
	$("#num_documento").val("");
	$("#direccion").val("");
	$("#telefono").val("");
	$("#email").val("");
	$("#idpersonasales").val("");
	$("#vehiculo").val("");
	$("#placa").val("");
	$("#idzona").val(0);
	$('#idzona').selectpicker('refresh');
	$("#idcargo").val(0);
	$('#idcargo').selectpicker('refresh');
	$("#comisionventa1").val("");
	$("#comisioncobranza1").val("");
	$("#comisioncobranza2").val("");
	$("#comisioncobranza3").val("");
	
	
}

//funcion mostrar formulario 
function mostrarform(flag){
	limpiar();
	if(flag){
		$("#listadoregistros").hide();
		$("#formularioregistros").show();
		$("#formularioregistros1").show();
		$("#btnGuardar").prop("disabled",false);
		$("#btnagregar").hide();
	}else{
		$("#listadoregistros").show();
		$("#formularioregistros").hide();
		$("#formularioregistros1").hide();
		$("#btnagregar").show();
	}
}

//cancelar form
function cancelarform(){
	limpiar();
	mostrarform(false);
}

function modificarValoresAnumerico(){
	$("#comisionventa1").val(numero($("#comisionventa1").val()));
	$("#comisioncobranza1").val(numero($("#comisioncobranza1").val()));
	$("#comisioncobranza2").val(numero($("#comisioncobranza2").val()));
	$("#comisioncobranza3").val(numero($("#comisioncobranza3").val()));
}

//funcion listar
function listar(){
	tabla=$('#tbllistado').dataTable({
		"aProcessing": true,//activamos el procedimiento del datatable
		"aServerSide": true,//paginacion y filrado realizados por el server
		dom: 'Bfrtip',//definimos los elementos del control de la tabla
		buttons: [
                  'copyHtml5',
                  'excelHtml5',
                  'csvHtml5',
                  'pdf'
		],
		"ajax":
		{
			url:'controladores/personasalesControlador.php?op=listar',
			type: "get",
			dataType : "json",
			error:function(e){
				console.log(e.responseText);
			}
		},
		"bDestroy":true,
		"iDisplayLength":-1,//paginacion
		"order":[[0,"desc"]]//ordenar (columna, orden)
	}).DataTable();
}
//funcion para guardaryeditar
function guardaryeditar(e){
     e.preventDefault();//no se activara la accion predeterminada 
     $("#btnGuardar").prop("disabled",true);
     var formData=new FormData($("#formulario")[0]);

     $.ajax({
     	url: "controladores/personasalesControlador.php?op=guardaryeditar",
     	type: "POST",
     	data: formData,
     	contentType: false,
     	processData: false,

     	success: function(datos){
     		bootbox.alert(datos);
     		mostrarform(false);
     		tabla.ajax.reload();
     	}
     });

     limpiar();
}

function mostrar(idpersonasales){
	$.post("controladores/personasalesControlador.php?op=mostrar",{idpersonasales : idpersonasales},
		function(data,status)
		{
			data=JSON.parse(data);
			mostrarform(true);

			$("#nombre").val(data.nombre);
			$("#tipo_documento").val(data.tipo_documento);
			$("#tipo_documento").selectpicker('refresh');
			$("#num_documento").val(data.num_documento);
			$("#direccion").val(data.direccion);
			$("#telefono").val(data.telefono);
			$("#email").val(data.email);
			$("#tipo_persona").val(data.tipo_persona);
			$("#idpersonasales").val(data.idpersonasales);
			$("#vehiculo").val(data.vehiculo);
			$("#placa").val(data.placa);
			$("#idzona").val(data.idzona);
			$('#idzona').selectpicker('refresh');
			if($("#tipo_persona").val()=='personasales'){
				$("#idcargo").val(1);
				$('#idcargo').selectpicker('refresh');
			}else{
				$("#idcargo").val(2);
				$('#idcargo').selectpicker('refresh');
			}
			$("#comisionventa1").val(data.comisionventa1);
			$("#comisioncobranza1").val(data.comisioncobranza1);
			$("#comisioncobranza2").val(data.comisioncobranza2);
			$("#comisioncobranza3").val(data.comisioncobranza3);
		})
}


//funcion para desactivar
function eliminar(idpersonasales){
	bootbox.confirm("¿Esta seguro de eliminar este dato?", function(result){
		if (result) {

			$.post("controladores/personasalesControlador.php?op=eliminar", {idpersonasales : idpersonasales }, function(e){
				bootbox.alert(e);
				tabla.ajax.reload();
			});
		}
	})
}

//funcion para desactivar
function desactivar(idpersonasales){
	bootbox.confirm("¿Esta seguro de desactivar este dato?", function(result){
		if (result) {
			$.post("controladores/personasalesControlador.php?op=desactivar", {idpersonasales : idpersonasales }, function(e){
				bootbox.alert(e);
				tabla.ajax.reload();
			});
		}
	})
}

function activar(idpersonasales){
	bootbox.confirm("¿Esta seguro de activar este dato?" , function(result){
		if (result) {
			$.post("controladores/personasalesControlador.php?op=activar" , {idpersonasales : idpersonasales }, function(e){
				bootbox.alert(e);
				tabla.ajax.reload();
			});
		}
	})
}


init();